from flask import Blueprint, jsonify
from .zammad import listar_tickets  # Importa a função atualizada
from .auth import token_required  # Importa o decorador de autenticação
import logging

zammad = Blueprint('zammad', __name__)

# Configuração de logging
logging.basicConfig(level=logging.DEBUG)

@zammad.route('/tickets', methods=['GET'])
@token_required
def tickets(domain):
    try:
        # Chamando a função para listar tickets dos últimos 30 dias
        tickets, status_code = listar_tickets()  # Não passamos o 'usuario', pois o decorador já fornece

        # Log para depuração
        logging.debug(f"Tickets encontrados: {len(tickets) if isinstance(tickets, list) else tickets}")

        return jsonify(tickets), status_code

    except Exception as e:
        logging.error(f"Erro ao chamar listar_tickets: {e}")
        return jsonify({"error": "Erro interno ao processar a solicitação", "details": str(e)}), 500

